# $Revision: 1.4 $, $Date: 2012/01/12 19:03:19 $
%define 	module	geopy
Summary:	A Geocoding Toolbox for Python
Name:		python-%{module}
Version:	0.94.1
Release:	1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://geopy.googlecode.com/files/geopy-%{version}.tar.gz
# Source0-md5:	8088f2ae72bfc068594278eaea3740cc
URL:		http://code.google.com/p/geopy/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
geopy makes it easy for developers to locate the coordinates of
addresses, cities, countries, and landmarks across the globe using
third-party geocoders and other data sources, such as wikis.

geopy currently includes support for six geocoders: Google Maps,
Yahoo! Maps, Windows Local Live (Virtual Earth), geocoder.us,
GeoNames, MediaWiki pages (with the GIS extension), and Semantic
MediaWiki pages.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/geopy
%{py_sitescriptdir}/geopy/*.py[co]
%dir %{py_sitescriptdir}/geopy/geocoders
%{py_sitescriptdir}/geopy/geocoders/*.py[co]
%dir %{py_sitescriptdir}/geopy/parsers
%{py_sitescriptdir}/geopy/parsers/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/geopy-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-geopy.spec,v $
Revision 1.4  2012/01/12 19:03:19  zbyniu
- up to 0.94.1

Revision 1.3  2011/01/23 20:57:06  sparky
- BR: python-setuptools

Revision 1.2  2010/07/08 08:11:51  arekm
- release 2

Revision 1.1  2010/06/13 17:36:24  arekm
- initial

